rte_port_out_ops(3)

NAME
rte_port_out_ops

SYNOPSIS

#include <rte_port.h>

  Data Fields

rte_port_out_op_create f_create
rte_port_out_op_free f_free
rte_port_out_op_tx f_tx
rte_port_out_op_tx_bulk f_tx_bulk
rte_port_out_op_flush f_flush
rte_port_out_op_stats_read f_stats

Detailed Description

Output port interface defining the output port operation

Definition at line 214 of file rte_port.h.

Field Documentation

  rte_port_out_op_create f_create
Create

Definition at line 215 of file rte_port.h.

  rte_port_out_op_free f_free
Free

Definition at line 216 of file rte_port.h.

  rte_port_out_op_tx f_tx
Packet TX (single packet)

Definition at line 217 of file rte_port.h.

  rte_port_out_op_tx_bulk f_tx_bulk
Packet TX (packet burst)

Definition at line 218 of file rte_port.h.

  rte_port_out_op_flush f_flush
Flush

Definition at line 219 of file rte_port.h.

  rte_port_out_op_stats_read f_stats
Stats

Definition at line 220 of file rte_port.h.

Author

Generated automatically by Doxygen for DPDK from the source code.